Package org.apache.lucene.queryparser.flexible.standard.nodes.intervalfn

# Class NotContainedBy

java.lang.Object
org.apache.lucene.queryparser.flexible.standard.nodes.intervalfn.IntervalFunction
org.apache.lucene.queryparser.flexible.standard.nodes.intervalfn.NotContainedBy

public class NotContainedBy extends IntervalFunction
Node that represents `Intervals.notContainedBy(IntervalsSource, IntervalsSource)`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NotContainedBy(IntervalFunction small, IntervalFunction big)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IntervalsSource`
  `toIntervalSource(String field, Analyzer analyzer)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NotContainedBy

    public NotContainedBy(IntervalFunction small, IntervalFunction big)

- ## Method Details

  - ### toIntervalSource

    public IntervalsSource toIntervalSource(String field, Analyzer analyzer)
    Specified by:
      `toIntervalSource` in class `IntervalFunction`

  - ### toString

    public String toString()
    Specified by:
      `toString` in class `IntervalFunction`